Summary:	ChBg - Desktop background manager/changer/screensaver
Name:		chbg
Version:	1.5
Release:	8mdk
Source0:	http://chbg.sourceforge.net/sw/%{name}-%{version}.tar.bz2
Source1:	%{name}_16x16.png.bz2
Source2:	%{name}_32x32.png.bz2
Source3:	%{name}_48x48.png.bz2
Source4:	http://chbg.sourceforge.net/sw/po/fr/%{name}-fr.mo.bz2
Source5:	http://chbg.sourceforge.net/sw/po/ja/%{name}-ja.mo.bz2
Source6:	http://chbg.sourceforge.net/sw/po/sk/%{name}-sk.mo.bz2
# (fc) 1.5-4mdk fix embedding mode in GNOME control center
Patch0:		chbg-1.5-windowid.patch.bz2
Patch1:		chbg-1.5-link-against-png.patch.bz2
URL:		http://chbg.sourceforge.net
License:	GPL
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gettext-devel, gdk-pixbuf-devel, gnome-libs-devel

%description
ChBg is for changing desktop backgrounds in a given period. It can
render images with 10 modes (such as tiled, centered, scaled, etc.). It
uses Imlib1, Imlib2, or gdk_pixbuf for loading images, so it supports
many image formats.  This version uses gdk-pixbuf.
ChBg has a windowed setup program, is able to load setup files, 
can be used as slideshow picture previewer in its own window or as a
desktop background, and can be used as screensaver or as an xscreensaver
hack. It has a dialog for fast previewing of pictures and very usable
thumbnail previews.

%prep
%setup -q
%patch0 -p1 -b .windowid
%patch1 -p1 -b .libpng

%build
%configure --with-intl-includes=%{_datadir}/gettext/intl \
    --with-image-library=gdkpixbuf --x-libraries="-lz"

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# install icons
mkdir -p %buildroot{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
bzip2 -cd %{SOURCE1} > %buildroot%{_miconsdir}/%{name}.png
bzip2 -cd %{SOURCE2} > %buildroot%{_iconsdir}/%{name}.png
bzip2 -cd %{SOURCE3} > %buildroot%{_liconsdir}/%{name}.png

# menu stuff
mkdir -p %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):\
    command="%{_bindir}/%{name}" \
    needs="x11" \
    icon="%{name}.png" \
    section="Configuration/Other" \
    title="ChBg" \
    longtitle="%{summary}"
EOF

# update locale
mkdir -p %buildroot%{_datadir}/locale/{fr,ja,sk}/LC_MESSAGES
bzip2 -cd %{SOURCE4} > %buildroot%{_datadir}/locale/fr/LC_MESSAGES/chbg.mo
bzip2 -cd %{SOURCE5} > %buildroot%{_datadir}/locale/ja/LC_MESSAGES/chbg.mo
bzip2 -cd %{SOURCE6} > %buildroot%{_datadir}/locale/sk/LC_MESSAGES/chbg.mo

# touch the default sysconfig file so that it can be included
mkdir -p %buildroot%{_sysconfdir}
touch %buildroot%{_sysconfdir}/chbgrc

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README THANKS TODO chbgrc.sample xscreensaver*txt 
%{_bindir}/chbg
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/control-center/.data/*
%{_datadir}/gnome/apps/Graphics/*
%{_mandir}/man*/*
%{_datadir}/pixmaps/*
%attr(644,root,root) %config(noreplace,missingok) %{_sysconfdir}/chbgrc

%changelog
* Wed Sep 03 2003 David Baudens <baudens@mandrakesoft.com> 1.5-8mdk
- Move in Configuration/Other

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.5-7mdk
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- cosmetics
- be sure to link against libpng (P1)

* Fri Feb 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-6mdk
- rebuild

* Mon Jan 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5-5mdk
- convert xpms to pngs

* Thu Jan 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5-4mdk
- Patch0: fix embedding mode for GNOME control center

* Tue Jan  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5-3mdk
- Fix wrong dependencies

* Fri Oct 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.5-2mdk
- rebuild against libpng3

* Sun Aug 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- updated to 1.5

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-2mdk
- rebuild

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- upgraded by Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	- New release
	- Uses gdk-pixbuf explicitely (or however that's spelled *G*)
	- Slimmed down Requires: line to only require what THIS package directly 
  	requires

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-2mdk 
- rebuild

* Wed Nov 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2-1mdk
- updated to 1.2

* Thu Oct 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- used srpm from  Alexander Skwar <ASkwar@linux-mandrake.com> :
	First Mandrake version
